= form_for(@user, url: :account_general_preferences, html: { method: :put }) do |f|
  = render 'layouts/form_errors',
           entity: @user,
           message: t('.errors', count: @user.errors.count)

  = f.fields_for :preferences do |ff|
    .rui-field
      = ff.label :theme, t('activerecord.attributes.user.theme')
      = ff.select :theme,
                 [[t('theme.browser'), nil], [t('theme.light'), 'light'], [t('theme.dark'), 'dark']],
                 selected: current_user.preferences['theme']
      .rui-field__help= t('.theme_help')

    .rui-field
      = ff.label :map, t('activerecord.attributes.user.map')
      = ff.select :map,
                  @user.accessible_maps.collect { |m| ["#{m.user_id == current_user.id ? '' : '*'}#{m.name}", m.id] },
                  selected: current_user.preferences['map'],
                  include_blank: true
      .rui-field__help= t('.map_help')

  .rui-actions.rui-actions--bottom
    = f.submit t('generic.save'), class: 'rui-button rui-button--recording'
